// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "UIMenuController.hpp"
#include "UISimpleMenuItem.hpp"

namespace Dawn {
  class UISimpleMenu : public SceneItemComponent {
    protected:
      std::shared_ptr<UIMenuController> menu;
      std::shared_ptr<UICanvas> canvas;
      std::shared_ptr<UISimpleMenuItem> currentlySelected;
      std::vector<std::shared_ptr<UISimpleMenuItem>> menuItems;

    public:
      UISimpleMenu(std::weak_ptr<SceneItem> item);
      std::vector<std::shared_ptr<SceneItemComponent>> getDependencies() override;
      void onStart() override;
  };
}